SelectedReportEvent (gCube Workflow Documents Manager Portlet 2.1.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wfdocviewer.client.event
Class SelectedReportEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<SelectedReportEventHandler>
              org.gcube.portlets.admin.wfdocviewer.client.event.SelectedReportEvent

    public class SelectedReportEvent

extends com.google.gwt.event.shared.GwtEvent<SelectedReportEventHandler>

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<SelectedReportEventHandler>` | `TYPE`

Constructor Summary
`SelectedReportEvent(String id, String name)`

Method Summary
`protected void` | `dispatch(SelectedReportEventHandler handler)`
`com.google.gwt.event.shared.GwtEvent.Type<SelectedReportEventHandler>` | `getAssociatedType()`
`String` | `getSelectedReportId()`
`String` | `getSelectedReportName()`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<SelectedReportEventHandler> TYPE

Constructor Detail

### SelectedReportEvent

    public SelectedReportEvent(String id,
                               String name)

Method Detail

### getSelectedReportId

    public String getSelectedReportId()

### getSelectedReportName

    public String getSelectedReportName()

### dispatch

    protected void dispatch(SelectedReportEventHandler handler)

  Specified by:
    `dispatch` in class `com.google.gwt.event.shared.GwtEvent<SelectedReportEventHandler>`

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<SelectedReportEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<SelectedReportEventHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.